
Redmine - Defect #9501

Notification link in e-mail are wrong

2011-10-31 15:39 - Luis Braga

Status: Closed Start date: 2011-10-31

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

When I do a new/update issue the link in e-mail sent to users assigned or watchers are wrong, the links are delivered like that:

http://http/redmine/issues/3

and in my case the correct link should be: http://&lt;name_of_my_server&gt;/redmine/issues/3

I'm using a fresh instalation of Redmine 1.2.1.stable.7657 (MySQL)

-- Passenger

-- Apache 2

-- Ubuntu server 10.x

History

#1 - 2011-10-31 17:38 - Alex Shulgin

Luis Braga wrote:

When I do a new/update issue the link in e-mail sent to users assigned or watchers are wrong, the links are delivered like that:

http://http/redmine/issues/3

and in my case the correct link should be: http://&lt;name_of_my_server&gt;/redmine/issues/3

 Did you set config.action_mailer.default_url_options: http://api.rubyonrails.org/classes/ActionMailer/Base.html?

#2 - 2011-10-31 17:54 - Mischa The Evil

...and more important I think: Hostname and path settings?

#3 - 2011-10-31 18:04 - Luis Braga

Try it, set in enviroment.rb

config.action_mailer.default_url_options = { :host => "name_of_my_server" }

Restart apache, but had no sucess :(

Alex Shulgin wrote:

Luis Braga wrote:

When I do a new/update issue the link in e-mail sent to users assigned or watchers are wrong, the links are delivered like that:

http://http/redmine/issues/3

and in my case the correct link should be: http://&lt;name_of_my_server&gt;/redmine/issues/3

 Did you set config.action_mailer.default_url_options: http://api.rubyonrails.org/classes/ActionMailer/Base.html?

#4 - 2011-10-31 18:05 - Luis Braga

Sure, i did :(.

Mischa The Evil wrote:

...and more important I think: Hostname and path settings?

#5 - 2011-10-31 19:15 - Luis Braga
- Status changed from New to Resolved

- Assignee set to Luis Braga

- % Done changed from 0 to 100

Resolved.

The error was because i put the protocol http in Hostname and path settings, I wrote http://my_server instead of my_server (without protocol)

/shy

Ty Alex and Misha.

#6 - 2011-11-03 01:55 - Mischa The Evil

- Status changed from Resolved to Closed

- Assignee deleted (Luis Braga)

- Resolution set to Invalid

Thanks for your feedback.
